Package org.apache.batchee.tools.maven

## Class StartMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.batchee.tools.maven.BatchEEMojoBase
    - - org.apache.batchee.tools.maven.JobActionMojoBase
      - - org.apache.batchee.tools.maven.StartMojo

- All Implemented Interfaces:
    `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

      @Mojo(name="start",
            requiresDependencyResolution=COMPILE_PLUS_RUNTIME)
      public class StartMojo
      extends JobActionMojoBase

  Start a job.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<String>` | `additionalClasspathEntries` | manual entries added in the execution classpath
    `protected Set<org.apache.maven.artifact.Artifact>` | `dependencies` | used to find project dependencies if running the batch locally
    `protected String` | `jobName` | the job name of the job to start
    `protected File` | `projectBinaries` | used to find project binaries if running the batch locally
    `protected boolean` | `useProjectClasspath` | if the project (binaries + dependencies) should be added during the execution to the classpath

    - ### Fields inherited from class org.apache.batchee.tools.maven.JobActionMojoBase

      `jobParameters, wait`

    - ### Fields inherited from class org.apache.batchee.tools.maven.BatchEEMojoBase

      `operator, properties`

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StartMojo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` |

    - ### Methods inherited from class org.apache.batchee.tools.maven.JobActionMojoBase

      `toProperties, waitEnd`

    - ### Methods inherited from class org.apache.batchee.tools.maven.BatchEEMojoBase

      `getOrCreateOperator`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jobName

          @Parameter(required=true,
                     property="batchee.job")
          protected String jobName

      the job name of the job to start

    - #### projectBinaries

          @Parameter(defaultValue="${project.build.outputDirectory}",
                     required=true,
                     readonly=true)
          protected File projectBinaries

      used to find project binaries if running the batch locally

    - #### dependencies

          @Parameter(defaultValue="${project.artifacts}",
                     readonly=true,
                     required=true)
          protected Set<org.apache.maven.artifact.Artifact> dependencies

      used to find project dependencies if running the batch locally

    - #### useProjectClasspath

          @Parameter(property="batchee.use-project",
                     defaultValue="true")
          protected boolean useProjectClasspath

      if the project (binaries + dependencies) should be added during the execution to the classpath

    - #### additionalClasspathEntries

          @Parameter
          protected List<String> additionalClasspathEntries

      manual entries added in the execution classpath

  - ### Constructor Detail

    - #### StartMojo

          public StartMojo()

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`